package electrosphere.game.server.pathfinding.navmesh;

import java.util.List;

/**
 *
 * @author satellite
 */
public abstract class NavShape {
    
    public abstract void addNodeNeighbor(NavShape neighbor);
    
    public abstract List<NavShape> getNodeNeighbors();
    
    public abstract boolean containsPoint(double x, double y, double z);
    
}
